is_executable
is_link
Filesystem Functions
PHP Manual

# is_file

(PHP 4, PHP 5)

is_file — Tells whether the filename is a regular file

### Description

bool is_file ( string `$filename` )

Tells whether the given file is a regular file.

### Parameters

`filename`

  Path to the file.

### Return Values

Returns `TRUE` if the filename exists and is a regular file, `FALSE` otherwise.

### Examples

Example #1 is_file() example

`<?php
var_dump(is_file('a_file.txt')) . "\n";
var_dump(is_file('/usr/bin/')) . "\n";
?>`

The above example will output:

    bool(true)
    bool(false)

### Notes

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support stat() family of functionality.

### See Also

- is_dir() - Tells whether the filename is a directory
- is_link() - Tells whether the filename is a symbolic link

is_executable
is_link
Filesystem Functions
PHP Manual